Package de.willuhn.jameica.hbci.server

# Class UmsatzUtil

java.lang.Object
de.willuhn.jameica.hbci.server.UmsatzUtil

public class UmsatzUtil extends Object
Hilfsklasse zum Verarbeiten von Umsaetzen.

## Constructor Summary

Constructors
Constructor
Description
`UmsatzUtil()`

## Method Summary

Modifier and Type
Method
Description
`static de.willuhn.datasource.rmi.DBIterator`
`find(Konto konto, String kategorie, Date from, Date to, String query)`
Liefert alle Umsaetze in ugekehrt chronologischer Reihenfolge (neue zuerst), die den Kriterien entsprechen.
`static de.willuhn.datasource.rmi.DBIterator`
`find(String query)`
Liefert alle Umsaetze in umgekehrt chronologischer Reihenfolge (neue zuerst), in denen der genannte Suchbegriff auftaucht.
`static Date`
`getOldest(Object kontoOrGroup)`
Liefert das Datum des aeltesten Umsatzes auf dem Konto oder der Kontogruppe.
`static de.willuhn.datasource.rmi.DBIterator`
`getUmsaetze()`
Liefert alle Umsaetze in chronologischer Reihenfolge (alte zuerst) sortiert nach Datum, ID.
`static de.willuhn.datasource.rmi.DBIterator`
`getUmsaetze(int days)`
Liefert alle Umsaetze in chronologischer Reihenfolge (alte zuerst) sortiert nach Datum, ID.
`static de.willuhn.datasource.rmi.DBIterator`
`getUmsaetzeBackwards()`
Liefert alle Umsaetze in umgekehrt chronologischer Reihenfolge (neue zuerst) sortiert nach Datum, ID.
`static de.willuhn.datasource.rmi.DBIterator`
`getUmsaetzeBackwards(int days)`
Liefert alle Umsaetze in umgekehrt chronologischer Reihenfolge (neue zuerst) sortiert nach Datum, ID.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UmsatzUtil

public UmsatzUtil()

## Method Details

### getUmsaetze

public static de.willuhn.datasource.rmi.DBIterator getUmsaetze() throws RemoteException
Liefert alle Umsaetze in chronologischer Reihenfolge (alte zuerst) sortiert nach Datum, ID. Weitere Filter-Kriterien wie Zeitraum und Konto muessen noch hinzugefuegt werden. Die Funktion sortiert lediglich vereinheitlicht.

Returns:
  sortierte Liste der Umsaetze.
Throws:
  `RemoteException`

### getUmsaetzeBackwards

public static de.willuhn.datasource.rmi.DBIterator getUmsaetzeBackwards() throws RemoteException
Liefert alle Umsaetze in umgekehrt chronologischer Reihenfolge (neue zuerst) sortiert nach Datum, ID. Weitere Filter-Kriterien wie Zeitraum und Konto muessen noch hinzugefuegt werden. Die Funktion sortiert lediglich vereinheitlicht.

Returns:
  sortierte Liste der Umsaetze.
Throws:
  `RemoteException`

### getUmsaetze

public static de.willuhn.datasource.rmi.DBIterator getUmsaetze(int days) throws RemoteException
Liefert alle Umsaetze in chronologischer Reihenfolge (alte zuerst) sortiert nach Datum, ID. Weitere Filter-Kriterien wie Zeitraum und Konto muessen noch hinzugefuegt werden. Die Funktion sortiert lediglich vereinheitlicht.

Parameters:
  `days` - die Anzahl der Tage.
Returns:
  sortierte Liste der Umsaetze.
Throws:
  `RemoteException`

### getUmsaetzeBackwards

public static de.willuhn.datasource.rmi.DBIterator getUmsaetzeBackwards(int days) throws RemoteException
Liefert alle Umsaetze in umgekehrt chronologischer Reihenfolge (neue zuerst) sortiert nach Datum, ID. Weitere Filter-Kriterien wie Zeitraum und Konto muessen noch hinzugefuegt werden. Die Funktion sortiert lediglich vereinheitlicht.

Parameters:
  `days` - die Anzahl der Tage.
Returns:
  sortierte Liste der Umsaetze.
Throws:
  `RemoteException`

### getOldest

public static Date getOldest(Object kontoOrGroup) throws RemoteException
Liefert das Datum des aeltesten Umsatzes auf dem Konto oder der Kontogruppe.

Parameters:
  `kontoOrGroup` - Konto oder Name einer Kontogruppe. Optional. Wenn nichts angegeben ist, wird der aelteste Umsatz ueber alle Konten ermittelt.
Returns:
  das Datum des aeltesten Umsatzes oder NULL, wenn keiner gefunden wurde.
Throws:
  `RemoteException`

### find

public static de.willuhn.datasource.rmi.DBIterator find(Konto konto, String kategorie, Date from, Date to, String query) throws RemoteException
Liefert alle Umsaetze in ugekehrt chronologischer Reihenfolge (neue zuerst), die den Kriterien entsprechen.

Parameters:
  `konto` - das Konto. Optional.
  `kategorie` - Konto-Kategorie. Optional.
  `from` - das Start-Datum. Optional.
  `to` - das End-Datum. Optional.
  `query` - Suchbegriff. Optional.
Returns:
  Liste der gefundenen Umsaetze.
Throws:
  `RemoteException`

### find

public static de.willuhn.datasource.rmi.DBIterator find(String query) throws RemoteException, de.willuhn.util.ApplicationException
Liefert alle Umsaetze in umgekehrt chronologischer Reihenfolge (neue zuerst), in denen der genannte Suchbegriff auftaucht.

Parameters:
  `query` - Suchbegriff.
Returns:
  Liste der gefundenen Umsaetze.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException` - wird geworfen, wenn kein Suchbegriff angegeben ist.